              X = RAND (37)
               WRITE (6, *)X
               DO 20 I = 1,25
               X = RAND (IFIX(29*X))
               WRITE (6, *)X
  20           CONTINUE
               STOP
               END

